﻿import os
import sys
import django

SETTINGS = 'elasticsearch_cars.settings'
sys.path.append(os.path.abspath(os.path.join(os.path.realpath(__file__), "..", "..")))
os.environ.setdefault("DJANGO_SETTINGS_MODULE", SETTINGS)
django.setup()

from datetime import datetime
from search.analyzers import *
from elasticsearch_dsl import Index
from elasticsearch_dsl.connections import Elasticsearch
from elasticsearch_dsl.query import Q
from examples.utils import print_response, print_prepared_query
from search.documents import CarDocument
from cars.models import Car

# 1] object's flattening effect - this query founds results,
#    which should not be found!


# filter_query = Q("term", bad_params__name="engine-type") & Q("term", bad_params__value="240")
# response = CarDocument.search().filter(filter_query).execute()
# print_prepared_query(CarDocument.search().filter(filter_query))
# print_response(response, fields=["params"])
