from django.apps import AppConfig

from elasticsearch_dsl import connections


class SearchConfig(AppConfig):
    name = 'search'

    def ready(self):
        timeout = 20
        port = 9200

        conn = connections.create_connection(alias='default', hosts=['localhost'], timeout=timeout, port=port)

        if conn.ping():
            print(f"ELASTICSEARCH CONNECTED on port: {port}...")
            print()
            print()
        else:
            print(f"ELASTICSEARCH NOT CONNECTED!")