﻿import os
import sys
import django

SETTINGS = 'elasticsearch_cars.settings'
sys.path.append(os.path.abspath(os.path.join(os.path.realpath(__file__), "..", "..")))
os.environ.setdefault("DJANGO_SETTINGS_MODULE", SETTINGS)
django.setup()

from datetime import datetime
from search.analyzers import *
from elasticsearch_dsl import Index
from elasticsearch_dsl.connections import Elasticsearch, connections
from examples.utils import pretty_json


# 1]

# conn = connections.create_connection(alias='default', hosts=['localhost'], timeout=20, port=9200)

# 2]

# conn = Elasticsearch([{'host': 'localhost', 'port': 9200}])

# 3] handy for multiple connections

# connections.configure(
#     **{
#         'default': {
#             'hosts': [{
#                 'host': 'localhost',
#                 'port': '9200',
#             }]
#         }
#     }
# )
#
# conn = connections.get_connection()
#
# print(conn.info())
# print(f"connected: {conn.ping()}")